org.glassfish.jersey.server.monitoring

## Interface ExceptionMapperMXBean

    public interface ExceptionMapperMXBean

MXBean interface of the `exception mapper` statistics.

Author:
  Miroslav Fuksa

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,Long>` `getExceptionMapperCount()` Get the statistics of execution of exception mappers.
`long` `getSuccessfulMappings()` Get count of all successful exception mappings.
`long` `getTotalMappings()` Get count of exception mappings that were performed on exceptions.
`long` `getUnsuccessfulMappings()` Get count of all unsuccessful exception mappings.

### Method Detail

#### getExceptionMapperCount

    Map<String,Long> getExceptionMapperCount()

Get the statistics of execution of exception mappers.

Returns:
  Map where keys are string class names of `exception mappers` and values are counts of execution of these mappers.

#### getSuccessfulMappings

    long getSuccessfulMappings()

Get count of all successful exception mappings. Successful exception mapping occurs when any `exception mapper` returns an valid response (even if response contains non-successful response status code).

Returns:
  Count of successfully mapped exception.

#### getUnsuccessfulMappings

    long getUnsuccessfulMappings()

Get count of all unsuccessful exception mappings. Unsuccessful exception mapping occurs when any exception mapping process does not produce an valid response. The reason can be that the `exception mapper` is not found, or is found but throws exception.

Returns:
  Count of unmapped exception.

#### getTotalMappings

    long getTotalMappings()

Get count of exception mappings that were performed on exceptions.

Returns:
  Count of all exception being mapped in the runtime.